# Copyright (C) 2009 Canonical Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""Miscellaneous stuff that might move into bzrlib one day."""


from bzrlib.config import ConfigObj


def reload_config_obj(cfg, filename):
    """Reload a Bazaar Config object from a file."""
    try:
        stream = open(filename, 'r')
        lines = stream.readlines()
    finally:
        stream.close()
    cfg._parser = ConfigObj(lines, encoding='utf-8')
